unit ServerMethodsUnit1;
interface
uses
  SysUtils, Classes, DSServer, WideStrings, DBXMsSQL, FMTBcd, Provider, DB,
  SqlExpr, DbxBlackfishSQL, DataBkr;

type
  TServerMethods1 = class(TDSServerModule)
    SQLConnection1: TSQLConnection;
    SQLDataSet1: TSQLDataSet;
    dspEmployees: TDataSetProvider;
//  procedure dspEmployeesBeforeGetRecords(Sender: TObject;
//    var OwnerData: OleVariant);
  private
    { Private declarations }
  public
    { Public declarations }
    function EchoString(Value: string): string;

    function ServerTime: TDateTime;

    function Add(X,Y: Integer): Integer;
  end;

implementation

{$R *.dfm}
{
procedure TServerMethods1.dspEmployeesBeforeGetRecords(Sender: TObject;
  var OwnerData: OleVariant);
var
  Str: String;
begin
  Str := OwnerData;
  SQLDataSet1.First;
  if Str <> '' then
  begin
    while SQlDataSet1.FieldByName('EMP_NO').AsString <> Str  do
      SQlDataSet1.Next;
    SQlDataSet1.Next; // go to the next one
  end
end;
}
function TServerMethods1.Add(X, Y: Integer): Integer;
begin
  Result := X + Y
end;

function TServerMethods1.EchoString(Value: string): string;
begin
  Result := Value;
end;

function TServerMethods1.ServerTime: TDateTime;
begin
  Result := Now
end;

end.




